# Source metadata
source ./tcl/metadata.tcl

# Create project
create_project synth_project -part ${part} -in_memory
set_property source_mgmt_mode All [current_project]

set_property IP_REPO_PATHS . [current_fileset]
update_ip_catalog

# Create instance of the IP
create_ip -vendor ${vlnv_vendor} -library "user" -name "combpm" -module_name combpm_0

# Generate output products
#generate_target all [get_ips combpm_0]

# Try synthesis
synth_ip [get_ips combpm_0]

close_project
